<?php

/**
 * @file
 * Bulk export of views_default objects generated by Bulk export module.
 */

/**
 * Implements hook_views_default_views().
 */
function stop_spam_views_default_views() {
  $views = array();
  
  $view = new view();
  $view->name = 'stop_spam_comment_links';
  $view->description = '';
  $view->tag = '';
  $view->base_table = 'comment';
  $view->human_name = 'Stop Spam - Links in comments';
  $view->core = 6;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Comments with external links';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view stop spam reports';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'subject' => 'subject',
    'title' => 'title',
    'is_new' => 'is_new',
    'timestamp_1' => 'timestamp_1',
    'name_1' => 'name_1',
    'name_2' => 'name_2',
    'name_3' => 'name_3',
    'name' => 'name',
    'host' => 'host',
    'url' => 'url',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp_1';
  $handler->display->display_options['style_options']['info'] = array(
    'subject' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'is_new' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'timestamp_1' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'name_1' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_2' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_3' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'host' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'url' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Comment: Content */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'comment';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['label'] = 'Node';
  /* Relationship: Comment: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'comment';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'User';
  /* Field: Comment: Title */
  $handler->display->display_options['fields']['subject']['id'] = 'subject';
  $handler->display->display_options['fields']['subject']['table'] = 'comment';
  $handler->display->display_options['fields']['subject']['field'] = 'subject';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  $handler->display->display_options['fields']['title']['label'] = 'Node';
  /* Field: External links: New / updated */
  $handler->display->display_options['fields']['is_new']['id'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['is_new']['field'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['label'] = '';
  $handler->display->display_options['fields']['is_new']['exclude'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['text'] = '<div class="marker">[is_new]</div>';
  $handler->display->display_options['fields']['is_new']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['is_new']['type'] = 'new';
  $handler->display->display_options['fields']['is_new']['not'] = 0;
  /* Field: External links: Index updated */
  $handler->display->display_options['fields']['timestamp_1']['id'] = 'timestamp_1';
  $handler->display->display_options['fields']['timestamp_1']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['timestamp_1']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['timestamp_1']['alter']['text'] = '[timestamp_1][is_new]';
  $handler->display->display_options['fields']['timestamp_1']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp_1']['custom_date_format'] = 'd M Y';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = FALSE;
  /* Field: External links: Host */
  $handler->display->display_options['fields']['host']['id'] = 'host';
  $handler->display->display_options['fields']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['host']['field'] = 'host';
  $handler->display->display_options['fields']['host']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['host']['alter']['path'] = 'http://[host]';
  $handler->display->display_options['fields']['host']['alter']['external'] = TRUE;
  /* Field: External links: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['url']['alter']['path'] = '[url]';
  /* Filter criterion: External links: Host */
  $handler->display->display_options['filters']['host']['id'] = 'host';
  $handler->display->display_options['filters']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['filters']['host']['field'] = 'host';
  $handler->display->display_options['filters']['host']['operator'] = 'not empty';
  $handler->display->display_options['filters']['host']['group'] = '0';
  $handler->display->display_options['filters']['host']['expose']['operator'] = FALSE;
  
  /* Display: All comments */
  $handler = $view->new_display('page', 'All comments', 'page_1');
  $handler->display->display_options['path'] = 'admin/reports/stop_spam/comments';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Comments';
  $handler->display->display_options['menu']['weight'] = '2';
  
  /* Display: Host comments */
  $handler = $view->new_display('page', 'Host comments', 'page_2');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'subject' => 'subject',
    'title' => 'title',
    'is_new' => 'is_new',
    'timestamp_1' => 'timestamp_1',
    'name_1' => 'name_1',
    'name_2' => 'name_2',
    'name_3' => 'name_3',
    'name' => 'name',
    'url' => 'url',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp_1';
  $handler->display->display_options['style_options']['info'] = array(
    'subject' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'title' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'is_new' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'timestamp_1' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'name_1' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_2' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_3' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'url' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['order'] = 'desc';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Comment: Title */
  $handler->display->display_options['fields']['subject']['id'] = 'subject';
  $handler->display->display_options['fields']['subject']['table'] = 'comment';
  $handler->display->display_options['fields']['subject']['field'] = 'subject';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  $handler->display->display_options['fields']['title']['label'] = 'Node';
  /* Field: External links: New / updated */
  $handler->display->display_options['fields']['is_new']['id'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['is_new']['field'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['label'] = '';
  $handler->display->display_options['fields']['is_new']['exclude'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['text'] = '<div class="marker">[is_new]</div>';
  $handler->display->display_options['fields']['is_new']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['is_new']['type'] = 'new';
  $handler->display->display_options['fields']['is_new']['not'] = 0;
  /* Field: External links: Index updated */
  $handler->display->display_options['fields']['timestamp_1']['id'] = 'timestamp_1';
  $handler->display->display_options['fields']['timestamp_1']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['timestamp_1']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['timestamp_1']['alter']['text'] = '[timestamp_1][is_new]';
  $handler->display->display_options['fields']['timestamp_1']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp_1']['custom_date_format'] = 'd M Y';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = FALSE;
  /* Field: External links: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['url']['alter']['path'] = '[url]';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: External links: Host */
  $handler->display->display_options['arguments']['host']['id'] = 'host';
  $handler->display->display_options['arguments']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['arguments']['host']['field'] = 'host';
  $handler->display->display_options['arguments']['host']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['host']['exception']['value'] = '';
  $handler->display->display_options['arguments']['host']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['host']['title'] = 'Comments with links to %1';
  $handler->display->display_options['arguments']['host']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['host']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['host']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['host']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['host']['limit'] = '0';
  $handler->display->display_options['path'] = 'admin/reports/stop_spam/comments/%';
  $views['stop_spam_comment_links'] = $view;
    
  $view = new view();
  $view = new view();
  $view->name = 'stop_spam_node_links';
  $view->description = '';
  $view->tag = '';
  $view->base_table = 'node';
  $view->human_name = 'Stop Spam - Links in nodes';
  $view->core = 6;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Nodes with external links';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view stop spam reports';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '25';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'type',
    'is_new' => 'is_new',
    'timestamp' => 'timestamp',
    'name_1' => 'name_1',
    'name_2' => 'name_2',
    'name_3' => 'name_3',
    'name' => 'name',
    'host' => 'host',
    'url' => 'url',
    'nothing' => 'nothing',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'is_new' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'name_1' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_2' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_3' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'host' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'url' => array(
      'separator' => '',
    ),
    'nothing' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['order'] = 'desc';
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Author';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: External links: New / updated */
  $handler->display->display_options['fields']['is_new']['id'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['is_new']['field'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['label'] = '';
  $handler->display->display_options['fields']['is_new']['exclude'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['text'] = '<div class="marker">[is_new]</div>';
  $handler->display->display_options['fields']['is_new']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['is_new']['type'] = 'new';
  $handler->display->display_options['fields']['is_new']['not'] = 0;
  /* Field: External links: Index updated */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['timestamp']['alter']['text'] = '[timestamp][is_new]';
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'd M Y';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = FALSE;
  /* Field: External links: Host */
  $handler->display->display_options['fields']['host']['id'] = 'host';
  $handler->display->display_options['fields']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['host']['field'] = 'host';
  $handler->display->display_options['fields']['host']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['host']['alter']['path'] = '[host]';
  $handler->display->display_options['fields']['host']['alter']['external'] = TRUE;
  /* Field: External links: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['url']['alter']['path'] = '[url]';
  /* Filter criterion: External links: Host */
  $handler->display->display_options['filters']['host']['id'] = 'host';
  $handler->display->display_options['filters']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['filters']['host']['field'] = 'host';
  $handler->display->display_options['filters']['host']['operator'] = 'not empty';
  $handler->display->display_options['filters']['host']['group'] = '0';
  $handler->display->display_options['filters']['host']['expose']['label'] = 'Host';
  $handler->display->display_options['filters']['host']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['host']['expose']['operator'] = 'host_op';
  $handler->display->display_options['filters']['host']['expose']['identifier'] = 'host';
  
  /* Display: All nodes */
  $handler = $view->new_display('page', 'All nodes', 'page_1');
  $handler->display->display_options['path'] = 'admin/reports/stop_spam/nodes';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Nodes';
  $handler->display->display_options['menu']['weight'] = '1';
  
  /* Display: Host nodes */
  $handler = $view->new_display('page', 'Host nodes', 'page_2');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = '';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'type',
    'is_new' => 'is_new',
    'timestamp' => 'timestamp',
    'name_1' => 'name_1',
    'name_2' => 'name_2',
    'name_3' => 'name_3',
    'name' => 'name',
    'url' => 'url',
  );
  $handler->display->display_options['style_options']['default'] = 'timestamp';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'type' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'is_new' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'timestamp' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'name_1' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_2' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name_3' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'name' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'url' => array(
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['order'] = 'desc';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: External links: New / updated */
  $handler->display->display_options['fields']['is_new']['id'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['is_new']['field'] = 'is_new';
  $handler->display->display_options['fields']['is_new']['label'] = '';
  $handler->display->display_options['fields']['is_new']['exclude'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['is_new']['alter']['text'] = '<div class="marker">[is_new]</div>';
  $handler->display->display_options['fields']['is_new']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['is_new']['type'] = 'new';
  $handler->display->display_options['fields']['is_new']['not'] = 0;
  /* Field: External links: Index updated */
  $handler->display->display_options['fields']['timestamp']['id'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['timestamp']['field'] = 'timestamp';
  $handler->display->display_options['fields']['timestamp']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['timestamp']['alter']['text'] = '[timestamp][is_new]';
  $handler->display->display_options['fields']['timestamp']['date_format'] = 'custom';
  $handler->display->display_options['fields']['timestamp']['custom_date_format'] = 'd M Y';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['name']['link_to_user'] = FALSE;
  /* Field: External links: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'stop_spam_links';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['url']['alter']['path'] = '[url]';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: External links: Host */
  $handler->display->display_options['arguments']['host']['id'] = 'host';
  $handler->display->display_options['arguments']['host']['table'] = 'stop_spam_links';
  $handler->display->display_options['arguments']['host']['field'] = 'host';
  $handler->display->display_options['arguments']['host']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['host']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['host']['title'] = 'Nodes with links to %1';
  $handler->display->display_options['arguments']['host']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['host']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['host']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['host']['limit'] = '0';
  $handler->display->display_options['path'] = 'admin/reports/stop_spam/nodes/%';
  $views['stop_spam_node_links'] = $view;
  
  return $views;
}
